package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.MemberPercent;
import cn.wisenergy.model.dto.MemberPercentQuery;
import cn.wisenergy.model.vo.SetMemberPercentVo;
import com.github.pagehelper.PageInfo;

/**
 * @author 86187
 */
public interface MemberPercentService {

    /**
     * 获取会员等级优惠比列列表
     *
     * @param query 条件
     * @return 优惠比列列表
     */
    R<PageInfo<MemberPercent>> getList(MemberPercentQuery query);

    /**
     * 更据等级和类型，设置优惠比列
     *
     * @param percentVo 参数
     * @return true or false
     */
    R<Boolean> setMemberPercent(SetMemberPercentVo percentVo);
}
